Bug 165875 - gdlib-config --ldflags should not output /usr/lib64 nor -Wl,--rpath
gdlib-config --ldflags should not output /usr/lib64 nor -Wl,--rpath
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gd (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-13 02:32 EDT by Hans de Goede
Modified: 2015-03-04 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 11:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2005-08-13 02:32:25 EDT
On x86_64 "gdlib-config --ldflags" outputs:
-L/usr/lib64 -Wl,--rpath -Wl,/usr/lib64 -L/usr/lib64 -L/usr/X11R6/lib64

The -L/usr/lib64 is not needed and certainly not twice!, but does no real harm.
Harm however is done by the long obsolete use of --rpath, which causes
LD_LIBRARY_PATH to be ignored, and there are real uses for LD_LIBRARY_PATH.

A similar bug in freetype-config has cost me 2 hours to find, this might even
have the same cause as the freetype0config bug, see bug 139199 .
Comment 1 Phil Knirsch 2005-09-07 09:57:49 EDT
Looking into it.

Read ya, Phil
Comment 2 Phil Knirsch 2005-09-07 11:19:07 EDT
OK, fixed by not including the broken freetype-config --libs flags.

Will be in next development package.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.